program common
implicit none
common/constantes/pi,gravite
real pi,gravite


call initialisation_des_constantes

print*,'On a initialise les constantes '
print*,'pi=',pi
print*,'g=',gravite

end

subroutine initialisation_des_constantes
implicit none
common/constantes/pi,gravite
real pi,gravite

pi=2.*asin(1.)
gravite=9.8

return
end
